#ifndef M_THREAD_H
#define M_THREAD_H
/* Pxys - An IRC ProxyScan, m_thread.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: m_thread.h,v 1.2 2001/10/20 01:31:03 mbuna Exp $
 */

#include "typedefs.h"
#include "m_structs.h"

#define FD_PUT 1
#define FD_GET 0


void scanner_init();
void scanner_startall();
void scanner_killall();

void *RunScanner();
void *RunServer();

scanthread_s *get_scanthread(pthread_t thread);
scanthread_s *get_scanthread_from_ip(struct in_addr * ip, int *outport);
void set_globalrescan();

#endif  /* M_THREAD_H */
