#ifndef XMALLOC_H_
#define XMALLOC_H_
/* Pxys - An IRC ProxyScan, numnicks.h
 * IRC - Internet Relay Chat, ircd/channel.c
 * Copyright (C) 1996 Carlo Wood
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: xmalloc.h,v 1.1.1.1 2001/10/14 22:10:17 mbuna Exp $
 */

#include <stdlib.h>


void* xmalloc(size_t size);
void* xcalloc(size_t number, size_t size);
void  xfree(void *ptr);

#endif /* XMALLOC_H_ */
