#ifndef MS_NETWORK_H
#define MS_NETWORK_H
/* Pxys - An IRC ProxyScan, ms_network.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: ms_network.h,v 1.1.1.1 2001/10/14 22:09:52 mbuna Exp $
 */


void network_init();
void server_add();
void count_servers(int* out_count);
void do_server_quit(char *name);
void do_squit(/* struct Server *sptr */);
void do_recursive_squit(/* struct Server *sptr */);

void refresh_relay_services();

#endif  /* MS_NETWORK_H */
