#ifndef TOKENIZER_H
#define TOKENIZER_H
/* Pxys - An IRC ProxyScan, tokenizer.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: tokenizer.h,v 1.2 2001/10/25 01:47:07 mbuna Exp $
 */
 

struct toktab {
   char **tok;    /* Array of char pointers to each word (tok) of our string */
   int size;      /* Size of the array (the number of words) */
};

typedef struct toktab toktab;
typedef struct toktab* toktabptr;

void tokenizer_init();
void tokenizer_free();
toktabptr tokenize(char *s, int maxtok);

#endif  /* TOKENIZER_H */
